#include "ledhandler.h"
#include <QDebug>

LedHandler::LedHandler(QObject *parent) : QObject(parent)
{
    this->gpioLedFile = new QFile("/sys/class/leds/led3/brightness");
    this->gpioLedFile->open(QIODevice::WriteOnly);
    this->pwmLedFile = new QFile("/sys/class/leds/led2/brightness");
    this->pwmLedFile->open(QIODevice::WriteOnly);
}

void LedHandler::setEnabled(bool enabled)
{
    qDebug() << "Enabled" << enabled;

    if (enabled)
        this->gpioLedFile->write("1");
    else
        this->gpioLedFile->write("0");

    this->gpioLedFile->flush();
}

void LedHandler::setBrightness(unsigned int brightness)
{
    qDebug() << "Brightness" << brightness;
    this->pwmLedFile->write(QString::number(brightness).toLatin1());
    this->pwmLedFile->flush();
}
