#include <QApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "ledhandler.h"
#include "pointgenerator.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QApplication app(argc, argv);

    LedHandler ledHandler;
    ledHandler.setBrightness(0);
    ledHandler.setEnabled(false);

    PointGenerator pointGenerator;

    QQmlApplicationEngine engine;

    engine.rootContext()->setContextProperty("ledHandler", &ledHandler);
    engine.rootContext()->setContextProperty("pointGenerator", &pointGenerator);

    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;

    return app.exec();
}
