import QtQuick 2.9
import QtQuick.Controls 2.2

ApplicationWindow {
    visible: true
    visibility: "FullScreen"
    title: qsTr("Tabs")

    SwipeView {
        id: swipeView
        anchors.fill: parent
        currentIndex: tabBar.currentIndex

        Page1Form {
            button.onCheckedChanged: ledHandler.setEnabled(button.checked)
            slider.onValueChanged: ledHandler.setBrightness(slider.value)
        }

        Page2Form {
            id: chartPage
            Connections {
                target: pointGenerator
                onDoAddSample: {
                    chartPage.addPoint(value)
                }
            }

            function addPoint(value) {
                dataSeries.append(numberOfPoints, value)

                if (dataSeries.count > maxNumberOfPoints) {
                    dataSeries.remove(0)
                }

                dataSeries.xAxis.min += 1
                dataSeries.xAxis.max += 1
                numberOfPoints += 1
            }
        }
    }

    footer: TabBar {
        id: tabBar
        currentIndex: swipeView.currentIndex

        TabButton {
            text: qsTr("Page 1")
        }
        TabButton {
            text: qsTr("Page 2")
        }
    }
}
